Contents:

Installation
  Additional `configure' options
  Additional targets
  Trip, etrip, trap, and mptrap: Torture tests


Installation
************

  Installing e-TeX requires that you have already installed the Web2c
source tree (either `web-7.2.tar.gz' and `web2c-7.2.tar.gz' with
`web2c-7.2' as top-level directory, or `texk-7.2.tar.gz' with `texk-7.2').
See web2c/INSTALL for details.

Unpack the distribution file `web2c-7.2-etex-2.0.tar.gz' in the parent of
the top-level directory. If necessary move the directory
`<top_level>/web2c/etexdir' containing all e-TeX files into your source
tree. Then (re-)configure the whole source tree.

You will also need some e-TeX specific files in the TDS tree. Change to
to the TDS root (`<texmf>') and unpack the distribution file
`etexlib-2.0.tar.gz'. If you have already installed an earlier version,
first remove the directory `<texmf>/etex' containing all the old files.

Additional `configure' options
==============================

  This section describes only the e-TeX specific `configure' options,
for the general Web2c `configure' options see `../INSTALL'.

`--without-etex'
`--with-etex=no'
     Do not automatically generate and install e-TeX and e-TeX formats
     (as part of `make' resp. `make install').

`--with-etex=yes'
`--with-etex=etex'
     Automatically generate and install e-TeX and e-TeX formats (in
     extended mode) in addition to TeX and TeX formats. This is the default.

`--with-etex=tex'
     Automatically generate e-TeX and e-TeX formats (in compatibility as
     well as extended mode) and install them, using e-TeX instead of TeX.
     Do not install TeX and TeX formats.

Additional targets
==================

  e-TeX adds some new Web2c Make targets and the e-TeX specific `configure'
options described above influence the behaviour of some other targets.

`formats'
`install-formats'
     Make or install all the memory dumps (*note Memory dumps::.).  By
     default, the standard plain formats plus `latex.fmt' or `latex.efmt'
     plus possibly `elatex.efmt' are made.  The `latex.efmt' is in e-TeX
     compatibility mode, to be used when e-TeX is installed instead of TeX;
     the `elatex.efmt' is in extended mode.  You can add other formats by
     redefining the `fmts', `cfmts', `efmts', `bases', and `mems' variables.
     See the top of `web2c/Makefile' for the possibilities.

`triptrap'
`trip'
`etrip'
`trap'
`mptrap'
     To run the torture tests for TeX, e-TeX, Metafont, and MetaPost
     (respectively).  See the next section.

Trip, etrip, trap, and mptrap: Torture tests
============================================

  To validate your TeX and/or e-TeX, Metafont, and MetaPost executables,
run `make triptrap'.  This runs the trip and/or etrip, trap, and mptrap
"torture tests".  See the files `triptrap/tripman.tex', 
`etexdir/etrip/etripman.tex', `triptrap/trapman.tex', and
`triptrap/mptrap.readme' for detailed information and background on the
tests.

  The differences between your executables' behavior and the standard
values will show up on your terminal.  See the file `./INSTALL' for the
acceptable differences.

  The files `trip.diffs', `mftrap.diffs', and `mptrap.diffs' in the
`triptrap' directory and `etexdir/etrip/etrip.diffs' show the standard diffs
against the original output.  If you diff your diffs against these files,
you should come up clean.  For example
     make etrip >&myetrip.diffs
     diff etexdir/etrip/etrip.diffs myetrip.diffs

  To run the tests separately, use the targets `trip', `etrip', `trap', and
`mptrap'.  Warning: with the `configure' option `--without-etex' the target
`etrip' will cause Make to first generate the e-TeX executable; similarly
with the `configure' option `--with-etex=tex' the target `trip' will cause
Make to first generate the TeX executable.

